net.minecraft.client.mco

## Class McoServer

- java.lang.Object
- - net.minecraft.client.mco.McoServer

-     public class McoServer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `field_102022_m`
    `int` | `field_104063_i`
    `int` | `field_110728_j`
    `int` | `field_110729_i`
    `List` | `field_96402_f`
    `String` | `field_96403_g`
    `String` | `field_96404_d`
    `String` | `field_96405_e`
    `String` | `field_96406_b`
    `String` | `field_96407_c`
    `long` | `field_96408_a`
    `boolean` | `field_96411_l`
    `long` | `field_96412_m`
    `String` | `field_96414_k`
    `int` | `field_96415_h`
    `boolean` | `field_98166_h`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `McoServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object par1Obj)`
    `String` | `func_96397_a()`
    `String` | `func_96398_b()`
    `void` | `func_96399_a(String par1Str)`
    `void` | `func_96400_b(String par1Str)`
    `void` | `func_96401_a(McoServer par1McoServer)`
    `static McoServer` | `func_98163_a(argo.jdom.JsonNode par0JsonNode)`
    `static McoServer` | `func_98165_c(String par0Str)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_96408_a

          public long field_96408_a

    - #### field_96406_b

          public String field_96406_b

    - #### field_96407_c

          public String field_96407_c

    - #### field_96404_d

          public String field_96404_d

    - #### field_96405_e

          public String field_96405_e

    - #### field_96402_f

          public List field_96402_f

    - #### field_96403_g

          public String field_96403_g

    - #### field_98166_h

          public boolean field_98166_h

    - #### field_110729_i

          public int field_110729_i

    - #### field_110728_j

          public int field_110728_j

    - #### field_104063_i

          public int field_104063_i

    - #### field_96415_h

          public int field_96415_h

    - #### field_96414_k

          public String field_96414_k

    - #### field_96411_l

          public boolean field_96411_l

    - #### field_102022_m

          public boolean field_102022_m

    - #### field_96412_m

          public long field_96412_m

  - ### Constructor Detail

    - #### McoServer

          public McoServer()

  - ### Method Detail

    - #### func_96397_a

          public String func_96397_a()

    - #### func_96398_b

          public String func_96398_b()

    - #### func_96399_a

          public void func_96399_a(String par1Str)

    - #### func_96400_b

          public void func_96400_b(String par1Str)

    - #### func_96401_a

          public void func_96401_a(McoServer par1McoServer)

    - #### func_98163_a

          public static McoServer func_98163_a(argo.jdom.JsonNode par0JsonNode)

    - #### func_98165_c

          public static McoServer func_98165_c(String par0Str)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object par1Obj)

      Overrides:
        `equals` in class `Object`